#!/bin/sh
PACKAGE="`basename $PWD`"
# version=`grep -i version be.mpc.pro | sed -e 's/[^=]*=\s*//'`

for name in *.desktop; do
    VERSION="`grep -i version "$name" | sed -e 's/#.*//g; /=/!d; s/[^=]*=\s*//g'`"
    if [ ! -z $VERSION ]; then
        break
    fi
done
if [ -z $VERSION ]; then
    for name in *.pro; do
        VERSION="`grep -i version "$name" | sed -e 's/#.*//g; /=/!d; s/[^=]*=\s*//g'`"
        if [ ! -z $VERSION ]; then
            break
        fi
    done
fi
if [ -z $VERSION ]; then
    VERSION="`grep -i pkgver PKGBUILD | sed -e 's/#.*//g; /=/!d; s/[^=]*=\s*//g'`"
fi

echo creating"/tmp/${PACKAGE}-${VERSION}.txz"

rm -rf /tmp/"${PACKAGE}-${VERSION}"*
cp -r $PWD /tmp/"${PACKAGE}-${VERSION}"
cd /tmp
tar -cJf "${PACKAGE}-${VERSION}".txz "${PACKAGE}-${VERSION}"
rm -rf "${PACKAGE}-${VERSION}"
